<header class="message-header flexrow">
    <h4 class="message-sender">{{alias}}</h4>
    <span class="message-metadata">
          <time class="message-timestamp">{{timeSince message.timestamp}}</time>
        {{#if user.isGM}}
            {{# if (eq message.flags.od6s.isVisible false)}}
                <a class="button message-reveal" data-message-id="{{message._id}}"
                   title="{{localize "OD6S.REVEAL_DIFFICULTY"}}">
                        <i class="fas fa-eye"></i></a>
            {{/if}}
            <a class="button message-delete" title="{{localize "OD6S.DELETE"}}"><i class="fas fa-trash"></i></a>
        {{/if}}
        </span>
    {{#if message.flavor}}
        <span class="flavor-text">{{{message.flavor}}}</span>
        {{#if (isAttack message.flags.od6s.subtype) }}
            {{localize "OD6S.ATTACKING"}}&nbsp
            {{#if user.isGM}}
                <span class="choose-target" title="{{localize "OD6S.CHANGE_TARGET"}}"
                  data-message-id="{{message._id}}">
            {{else}}
                <span>
            {{/if}}
                {{#if message.flags.od6s.targetName}}
                    {{message.flags.od6s.targetName}}
                {{else}}
                    {{localize "OD6S.NO_TARGET"}}</div>
                {{/if}}
            </span>
        {{/if}}
    {{/if}}
</header>
{{#if message.flags.od6s.wild}}
    {{#if message.flags.od6s.wildHandled}}
        <div class="wilddie">
            {{localize message.flags.od6s.wildResult}}
        </div>
    {{else}}
        <div {{#if user.isGM}}class="wilddiegm" {{else}}class="wilddie"{{/if}} data-message-id="{{message._id}}">
            {{localize message.flags.od6s.wildResult}}
        </div>
    {{/if}}
{{/if}}
<div class="message-content">
    {{{message.content}}}
</div>
{{#if (isCardVisible message)}}
    {{#if (isAttack message.flags.od6s.subtype)}}
        <div class="attacksuccess">
        <div>{{alias}} {{hitsOrMisses message.flags.od6s.success}}
            {{#if message.flags.od6s.targetName}}
                {{message.flags.od6s.targetName}}
            {{else}}
                {{localize 'OD6S.NO_TARGET'}}</div>
            {{/if}}
        </div>
    {{/if}}
    {{#if (isSkillOrAttribute message.flags.od6s.type message.flags.od6s.subtype) }}
        <div class="skillsuccess">
            <div title="{{localize (getResultDescription
                                           (onSuccess message.flags.od6s.success message.flags.od6s.total message.flags.od6s.difficulty))}}">
                {{localize
                        (onSuccess message.flags.od6s.success message.flags.od6s.total message.flags.od6s.difficulty)}}</div>
        </div>
    {{/if}}
    {{#unless (isDefense message.flags.od6s.subtype)}}
        {{#unless (eq message.flags.od6s.type 'damage')}}
            {{#unless (eq message.flags.od6s.type 'resistance')}}
                {{#if (isKnown message.flags.od6s.isKnown)}}
                    {{#if message.flags.od6s.modifiers.length}}
                        <div class="flexrow">
                            <div{{#if user.isGM}}
                            class="edit-difficulty" data-message-id="{{message._id}}"{{/if}}>{{localize
                                    "OD6S.DIFFICULTY"}}: {{message.flags.od6s.difficulty}}</div>
                            <div class="modifiers-button"
                                 data-message-id="{{message._id}}"
                                 title="{{localize "OD6S.SHOW_MODIFIERS"}}">
                                <i class="fas fa-plus modifier-button"></i>
                            </div>
                        </div>
                        <div class="modifiers-display" id="modifiers-display-{{message._id}}">
                            <ul class="modifiers-list">
                                <li>{{localize "OD6S.BASE_DIFFICULTY"}}: {{message.flags.od6s.baseDifficulty}}</li>
                                {{#each message.flags.od6s.modifiers as |m|}}
                                    <li>{{m.name}}: {{m.value}}</li>
                                {{/each}}
                            </ul>
                        </div>
                    {{else}}
                        <div{{#if user.isGM}}
                        class="edit-difficulty" data-message-id="{{message._id}}"{{/if}}>{{localize
                                "OD6S.DIFFICULTY"}}: {{message.flags.od6s.difficulty}}</div>
                    {{/if}}
                {{/if}}
            {{/unless}}
        {{/unless}}
    {{/unless}}
    {{#if (isAttack message.flags.od6s.subtype)}}
        {{#if message.flags.od6s.success}}
            {{#if (isGmOrOwner message.speaker.actor)}}
                {{#if message.flags.od6s.damageScore}}
                    <div class="damage-button"
                         data-message-id="{{message._id}}"
                         data-damage="{{message.flags.od6s.damageScore}}"
                         data-damageType="{{message.flags.od6s.damageType}}"
                         data-actor="{{message.speaker.actor}}"
                         title="{{localize 'OD6S.ROLL_DAMAGE'}}">
                        <button>{{localize 'OD6S.ROLL_DAMAGE'}}</button>
                    </div>
                    <div class="damage-display flexrow">
                        <div{{#if (isGmOrOwner message.speaker.actor)}}
                        class="edit-damage" data-message-id="{{message._id}}"
                        data-damage="{{message.flags.od6s.damageScore}}"{{/if}}>
                            {{diceFromScore message.flags.od6s.damageScore}}D+{{pipsFromScore
                                message.flags.od6s.damageScore}}
                            {{localize message.flags.od6s.damageTypeName}}</div>
                    {{#if message.flags.od6s.damageModifiers.length}}
                            <div class="damage-modifiers-button"
                                 data-message-id="{{message._id}}"
                                 title="{{localize "OD6S.SHOW_MODIFIERS"}}">
                                <i class="fas fa-plus modifier-button"></i>
                            </div>
                        </div>
                        <div class="damage-modifiers-display" id="damage-modifiers-display-{{message._id}}">
                            <ul class="damage-modifiers-list">
                                <li>{{localize "OD6S.BASE_DAMAGE"}}: {{diceFromScore message.flags.od6s.baseDamage}}
                                    D+
                                    {{pipsFromScore message.flags.od6s.baseDamage}} </li>
                                {{#each message.flags.od6s.damageModifiers as |m|}}
                                    <li>{{localize m.name}}: {{diceFromScore m.value}}D+{{pipsFromScore
                                            m.value}}</li>
                                {{/each}}
                            </ul>
                        </div>
                    {{/if}}
                {{/if}}
            {{/if}}
        {{/if}}
    {{/if}}
{{/if}}
{{#if user.isGM}}
    {{#if message.flags.od6s.isOpposable }}
        {{#unless message.flags.od6s.isOpposed}}
            <div class="message-oppose" style="text-align: right"
                 data-message-id="{{message._id}}">
                <a class="button message-oppose-button" title="{{localize "OD6S.OPPOSE"}}"><i
                        class="fas fa-exchange-alt"></i></a>
            </div>
        {{/unless}}
    {{/if}}
{{/if}}